#
# spec file for package python-readthedocs-sphinx-ext
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-readthedocs-sphinx-ext
Version:        1.0.3
Release:        lp152.1.1
Summary:        Sphinx extension for Read the Docs overrides
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/rtfd/readthedocs-sphinx-ext
Source:         https://files.pythonhosted.org/packages/source/r/readthedocs-sphinx-ext/readthedocs-sphinx-ext-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
Requires:       python-requests
BuildArch:      noarch
%python_subpackages

%description
This module adds extensions that make Sphinx easier to use.
Some of them require Read the Docs features,
others are just code that we ship and enable during builds on Read the Docs.

%prep
%setup -q -n readthedocs-sphinx-ext-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/readthedocs_ext
%{python_sitelib}/readthedocs_sphinx_ext-%{version}-py*.egg-info

%changelog
* Fri Apr 24 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * no more need to remove tests manually before install
- update to version 1.0.3:
  * Fix path to html_context
- changes from version 1.0.2:
  * Add Python 3.8 to tests
  * Add more versions to test against
  * Revert #77
  * Make setup.py executable
  * Stop installing tests
  * Remove broken distutils compat
* Sat Jan 18 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
  * be more specific in %%files section
- update to version 1.0.1:
  * more JS exscapes
  * Use new footer_api_host settings
  * rename setting
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0:
  * no upstream changelog
* Fri May 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by rdt_theme
